DSOSSL(3)

SYNOPSIS
SUBROUTINE DSOSSL (K, N, L, X, C, B, M)

NAME
dsossl - Subsidiary to DSOS

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (SOSSOL-S, DSOSSL-D)

AUTHOR
(UNKNOWN)

DESCRIPTION
DSOSSL solves an upper triangular type of linear system by back substitution. The matrix C is upper trapezoidal and stored as a linear array by rows. The equations have been normalized so that the diagonal entries of C are understood to be unity. The off diagonal entries and the elements of the constant right hand side vector B have already been stored as the negatives of the corresponding equation values. With each call to DSOSSL a (K-1) by (K-1) triangular system is resolved. For L greater than K, column L of C is included in the right hand side vector.

SEE ALSO
DSOS

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
890831 Modified array declarations. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)